$log_search_dir = StringTrimRight(RegRead("HKEY_LOCAL_MACHINE\SOFTWARE\Classes\dcc\DefaultIcon", ""), 11) & "Preferences"
$log_file = FileOpenDialog("Gesamtlogfile", $log_search_dir, "Nettalk-Logdateien (*.dat)")

; Alte Ergebnisse lschen
DirRemove(_GetPath($log_file) & "Logs")

; groes Log zum Lesen ffnen
$log = FileOpen($log_file, 0)
; Log durchgehen
ToolTip("Bitte warten...", 0, 0, "Nettalk Logextractor - Status")
While 1
	$line = FileReadLine($log)
	If @error <> 0 Then ExitLoop
	If StringLen($line) < 13 Then ContinueLoop
	$partner = StringMid($line, 2, StringInStr($line, ":")-2)
	$time = StringMid($line, StringInStr($line, ":")+1, 19)
	$text = StringRight($line, StringLen($line) - StringInStr($line, ":") - 19)
	
	; schreiben
	$log_mini = FileOpen(_GetPath($log_file) & "Logs\" & $partner & ".log", 9)
	FileWriteLine($log_mini, $time & " " & $text)	
	FileClose($log_mini)
WEnd
; groes Log schlieen
FileClose($log_file)


; von peethebee aus Galenda (http://www.autoit.de, http://www.galenda.de)
Func _GetPath($whole_path, $return_nr = "all")
	$path_parts = StringSplit($whole_path, "\")
	$temp = ""
	If $return_nr = "all" Then
		For $k = 1 To $path_parts[0] - 1
			$temp = $temp & $path_parts[$k] & "\"
		Next
		Return $temp
	ElseIf $return_nr = "last" Then
		Return $path_parts[$path_parts[0] - 1]
	EndIf
EndFunc   ;==>_GetPath